org.modeshape.sequencer.ddl.dialect.teiid

## Enum TeiidDdlConstants.TeiidDataType

- java.lang.Object
- - java.lang.Enum<TeiidDdlConstants.TeiidDataType>
  - - org.modeshape.sequencer.ddl.dialect.teiid.TeiidDdlConstants.TeiidDataType

- All Implemented Interfaces:
    Serializable, Comparable<TeiidDdlConstants.TeiidDataType>, TeiidDdlConstants.DdlElement
  Enclosing interface:
    TeiidDdlConstants

      public static enum TeiidDdlConstants.TeiidDataType
      extends Enum<TeiidDdlConstants.TeiidDataType>
      implements TeiidDdlConstants.DdlElement

  Teiid data types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIGDECIMAL`
    `BIGINT`
    `BIGINTEGER`
    `BLOB`
    `BOOLEAN`
    `BYTE`
    `CHAR`
    `CLOB`
    `DATE`
    `DECIMAL`
    `DOUBLE`
    `FLOAT`
    `INTEGER`
    `LONG`
    `OBJECT`
    `REAL`
    `SHORT`
    `SMALLINT`
    `STRING`
    `TIME`
    `TIMESTAMP`
    `TINYINT`
    `VARBINARY`
    `VARCHAR`
    `XML`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `getStartWords()`
    `String` | `toDdl()`
    `static TeiidDdlConstants.TeiidDataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeiidDdlConstants.TeiidDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIGDECIMAL

          public static final TeiidDdlConstants.TeiidDataType BIGDECIMAL

    - #### BIGINT

          public static final TeiidDdlConstants.TeiidDataType BIGINT

    - #### BIGINTEGER

          public static final TeiidDdlConstants.TeiidDataType BIGINTEGER

    - #### BLOB

          public static final TeiidDdlConstants.TeiidDataType BLOB

    - #### BOOLEAN

          public static final TeiidDdlConstants.TeiidDataType BOOLEAN

    - #### BYTE

          public static final TeiidDdlConstants.TeiidDataType BYTE

    - #### CHAR

          public static final TeiidDdlConstants.TeiidDataType CHAR

    - #### CLOB

          public static final TeiidDdlConstants.TeiidDataType CLOB

    - #### DATE

          public static final TeiidDdlConstants.TeiidDataType DATE

    - #### DECIMAL

          public static final TeiidDdlConstants.TeiidDataType DECIMAL

    - #### DOUBLE

          public static final TeiidDdlConstants.TeiidDataType DOUBLE

    - #### FLOAT

          public static final TeiidDdlConstants.TeiidDataType FLOAT

    - #### INTEGER

          public static final TeiidDdlConstants.TeiidDataType INTEGER

    - #### LONG

          public static final TeiidDdlConstants.TeiidDataType LONG

    - #### OBJECT

          public static final TeiidDdlConstants.TeiidDataType OBJECT

    - #### REAL

          public static final TeiidDdlConstants.TeiidDataType REAL

    - #### SHORT

          public static final TeiidDdlConstants.TeiidDataType SHORT

    - #### SMALLINT

          public static final TeiidDdlConstants.TeiidDataType SMALLINT

    - #### STRING

          public static final TeiidDdlConstants.TeiidDataType STRING

    - #### TIME

          public static final TeiidDdlConstants.TeiidDataType TIME

    - #### TIMESTAMP

          public static final TeiidDdlConstants.TeiidDataType TIMESTAMP

    - #### TINYINT

          public static final TeiidDdlConstants.TeiidDataType TINYINT

    - #### VARBINARY

          public static final TeiidDdlConstants.TeiidDataType VARBINARY

    - #### VARCHAR

          public static final TeiidDdlConstants.TeiidDataType VARCHAR

    - #### XML

          public static final TeiidDdlConstants.TeiidDataType XML

  - ### Method Detail

    - #### values

          public static TeiidDdlConstants.TeiidDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeiidDdlConstants.TeiidDataType c : TeiidDdlConstants.TeiidDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeiidDdlConstants.TeiidDataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStartWords

          public static List<String> getStartWords()

    - #### toDdl

          public String toDdl()

      Specified by:
        `toDdl` in interface `TeiidDdlConstants.DdlElement`
      Returns:
        the DDL string representation (never `null` or empty)
      See Also:
        `TeiidDdlConstants.DdlElement.toDdl()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.